CompositeSpec (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.api.specs

## Class CompositeSpec<T>

- java.lang.Object
- - org.gradle.api.specs.CompositeSpec<T>

- Type Parameters:
    `T` - The target type for this Spec
  All Implemented Interfaces:
    `Spec<T>`
  Direct Known Subclasses:
    `AndSpec`, `OrSpec`

      public abstract class CompositeSpec<T>
      extends java.lang.Object
      implements Spec<T>

  A `Spec` which aggregates a sequence of other `Spec` instances.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CompositeSpec​()` |
    `protected` | `CompositeSpec​(java.lang.Iterable<? extends Spec<? super T>> specs)` |
    `protected` | `CompositeSpec​(Spec<? super T>... specs)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.util.List<Spec<? super T>>` | `getSpecs​()` |
    `int` | `hashCode​()` |
    `boolean` | `isEmpty​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.specs.Spec

      `isSatisfiedBy`

- - ### Constructor Detail

    - #### CompositeSpec

          protected CompositeSpec​()

    - #### CompositeSpec

          protected CompositeSpec​(Spec<? super T>... specs)

    - #### CompositeSpec

          protected CompositeSpec​(java.lang.Iterable<? extends Spec<? super T>> specs)

  - ### Method Detail

    - #### getSpecs

          public java.util.List<Spec<? super T>> getSpecs​()

    - #### isEmpty

          public boolean isEmpty​()

    - #### equals

          public final boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`